summaryrefslogtreecommitdiff
path: root/easy-rsa/1.0/list-crl
diff options
context:
space:
mode:
Diffstat (limited to 'easy-rsa/1.0/list-crl')
-rw-r--r--easy-rsa/1.0/list-crl18
1 files changed, 18 insertions, 0 deletions
diff --git a/easy-rsa/1.0/list-crl b/easy-rsa/1.0/list-crl
new file mode 100644
index 0000000..b214dbd
--- /dev/null
+++ b/easy-rsa/1.0/list-crl
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# list revoked certificates
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: list-crl <crlfile.pem>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl crl -text -noout -in $1
+else
+ echo you must define KEY_DIR
+fi